{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>{{ todolist.name }}</h1>
                <p>
                    <a href="{% url "todo_list_update" id=todolist.id %}">Edit</a>
                </p>
                <h2>Tasks</h2>
            </div>
            <div>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due date</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.task }}</td>
                                <td>{{ task.due_date }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
